[botan] Remove IDEA, RC6, and ECC-related modules from the tarfile.

Thomas Moschny thm at fedoraproject.org
Wed Aug 4 16:45:52 UTC 2010


commit fa570d3dd5b83743efbc164413de6f418f1137da
Author: Thomas Moschny <thm at fedoraproject.org>
Date:   Wed Aug 4 18:38:46 2010 +0200

    Remove IDEA, RC6, and ECC-related modules from the tarfile.

 README.fedora |   13 +++++++++++++
 botan.spec    |   11 ++++++++---
 repack.sh     |   22 ++++++++++++++++++++++
 3 files changed, 43 insertions(+), 3 deletions(-)
---
diff --git a/README.fedora b/README.fedora
new file mode 100644
index 0000000..f484ced
--- /dev/null
+++ b/README.fedora
@@ -0,0 +1,13 @@
+For legal reasons, the following modules have been completely removed
+from the Botan package in Fedora:
+
+ * Block Ciphers
+   * IDEA [src/block/idea]
+   * RC6 [src/block/rc6]
+ * Public Key Base
+   * ECC Public Key [src/pubkey/ecc_key]
+   * ECC Domain Parameters [src/pubkey/ec_dompar]
+   * ECDSA [src/pubkey/ecdsa]
+   * ECKAEG [src/pubkey/eckaeg]
+ * Math
+   * GF(p) Math [src/math/gfpmath]
diff --git a/botan.spec b/botan.spec
index e749bfc..457677b 100644
--- a/botan.spec
+++ b/botan.spec
@@ -1,12 +1,13 @@
 Name:           botan
 Version:        1.8.9
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Crypto library written in C++
 
 Group:          System Environment/Libraries
 License:        BSD
 URL:            http://botan.randombit.net/
-Source0:        http://files.randombit.net/botan/Botan-%{version}.tbz
+Source0:        http://files.randombit.net/botan/Botan-%{version}.stripped.tbz
+Source1:        README.fedora
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  gcc-c++
@@ -45,7 +46,7 @@ developing applications that use %{name}.
 
 %prep
 %setup -q -n Botan-%{version}
-
+cp -av %{SOURCE1} .
 
 %build
 # we have the necessary prerequisites, so enable optional modules
@@ -91,6 +92,7 @@ rm -rf %{buildroot}
 %{_libdir}/libbotan*-*.so
 %doc _doc/readme.txt _doc/log.txt _doc/thanks.txt _doc/credits.txt 
 %doc _doc/license.txt _doc/fips140.tex _doc/pgpkeys.asc
+%doc README.fedora
 
 
 %files devel
@@ -110,6 +112,9 @@ LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./check --validate
 
 
 %changelog
+* Wed Aug  4 2010 Thomas Moschny <thomas.moschny at gmx.de> - 1.8.9-2
+- Remove IDEA, RC6, and ECC-related modules from the tarfile.
+
 * Wed Jun 16 2010 Thomas Moschny <thomas.moschny at gmx.de> - 1.8.9-1
 - Update to 1.8.9.
 - Drop patch applied upstream.
diff --git a/repack.sh b/repack.sh
new file mode 100755
index 0000000..ecd1dfe
--- /dev/null
+++ b/repack.sh
@@ -0,0 +1,22 @@
+#! /bin/bash
+
+version=1.8.9
+name=Botan-${version}
+suffix=.tbz
+newsuffix=.stripped.tbz
+compr=bzip2
+
+trap '${tmpfile:+rm ${tmpfile}}' EXIT
+tmpfile=$(mktemp)
+
+${compr} -cd ${name}${suffix} > ${tmpfile}
+
+tar --delete --file=${tmpfile} Botan-${version}/src/block/idea
+tar --delete --file=${tmpfile} Botan-${version}/src/block/rc6
+tar --delete --file=${tmpfile} Botan-${version}/src/math/gfpmath
+tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ec_dompar
+tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ecc_key
+tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/ecdsa
+tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/eckaeg
+
+${compr} -c ${tmpfile} > ${name}${newsuffix}


More information about the scm-commits mailing list